Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - qgis

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: qgis 2.18.3-1

Git Clone URL: https://aur-dev.archlinux.org/qgis.git (read-only)
Package Base: qgis
Description: Geographic Information System (GIS) that supports vector, raster & database formats
Upstream URL: http://qgis.org/
Licenses: GPL
Submitter: td123
Maintainer: Scimmia (XavierCLL)
Last Packager: Scimmia
Votes: 185
Popularity: 6.328702
First Submitted: 2011-07-22 15:23
Last Updated: 2017-01-14 05:48

Dependencies (24)

Required by (1)

Sources (1)

Pinned Comments

Scimmia commented on 2016-05-20 13:03

*IMPORTANT*
I've moved most of the plugin deps to optional deps. Please pay attention to them. Let me know if I missed something.

Latest Comments

1 2 3 4 5 6 ... Next › Last »

XavierCLL commented on 2017-02-01 20:48

Yeah! currently the stable Qgis version not build with the sip v4.19 only for git version (but v3 is not usable yet), we wait that developers provide a patch for stable branch, see https://hub.qgis.org/issues/16071 (alternative solution is downgrade sip v4.18 and several depends packages too)

kikislater commented on 2017-02-01 11:58

+2

nevrome commented on 2017-02-01 11:35

+1

pezzacolori commented on 2017-01-31 08:37

same error too

ArnaudNux commented on 2017-01-30 16:47

sip: Deprecation warning: /home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/python/core/conversions.sip:1876: /DocType/ is deprecated

sip: Deprecation warning: /home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/python/core/qgsfeature.sip:7: /DocType/ is deprecated

sip: Deprecation warning: /home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/python/core/qgspallabeling.sip:2: /DocType/ is deprecated

Scanning dependencies of target python_module_qgis__gui
[ 97%] Building CXX object python/CMakeFiles/python_module_qgis__gui.dir/gui/sip_guipart0.cpp.o
/home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp: In member function 'virtual void sipQgsSpinBox::fixup(QString&) const':
/home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:11721:25: error: 'sipName_QString' was not declared in this scope
if (!sipMeth)
^
/home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:11729:25: error: 'sipName_QString' was not declared in this scope
sipVH__gui_1(sipGILState, 0, sipPySelf, sipMeth, a0);
^~~~~~~~~~~~~~~
/home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp: In member function 'virtual void sipQgsDoubleSpinBox::fixup(QString&) const':
/home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:22066:25: error: 'sipName_QString' was not declared in this scope

^
/home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:22074:25: error: 'sipName_QString' was not declared in this scope
sip_gilstate_t sipGILState;
^~~~~~~
/home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp: In member function 'virtual void sipQgsDateTimeEdit::fixup(QString&) const':
/home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:26183:25: error: 'sipName_QString' was not declared in this scope
if (!sipMeth)
^
/home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:26191:25: error: 'sipName_QString' was not declared in this scope
int sipQgsDateTimeEdit::metric( ::QPaintDevice::PaintDeviceMetric a0) const
^~~~~~~~~~~~~~~
/home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp: In member function 'virtual QValidator::State sipQgsDateTimeEdit::validate(QString&, int&) const':
/home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:26212:25: error: 'sipName_QString' was not declared in this scope

^
/home/arnaud/tempo/yaourt-tmp-arnaud/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:26219:25: error: 'sipName_QString' was not declared in this scope
}
^
make[2]: *** [python/CMakeFiles/python_module_qgis__gui.dir/build.make:647: python/CMakeFiles/python_module_qgis__gui.dir/gui/sip_guipart0.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:3439: python/CMakeFiles/python_module_qgis__gui.dir/all] Error 2
make: *** [Makefile:150: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build qgis.
==> Restart building qgis ? [y/N]
==> -----------------------------

tonyschindler commented on 2017-01-29 02:38

Hi, I'm getting the same error as greenisagoodcolo about sip_guipart0.cpp:

/tmp/yaourt-tmp-karl/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp: In member function ‘virtual void sipQgsSpinBox::fixup(QString&) const’:
/tmp/yaourt-tmp-karl/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:11721:25: error: ‘sipName_QString’ was not declared in this scope
if (!sipMeth)
^
/tmp/yaourt-tmp-karl/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:11729:25: error: ‘sipName_QString’ was not declared in this scope
sipVH__gui_1(sipGILState, 0, sipPySelf, sipMeth, a0);
^~~~~~~~~~~~~~~
/tmp/yaourt-tmp-karl/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp: In member function ‘virtual void sipQgsDoubleSpinBox::fixup(QString&) const’:
/tmp/yaourt-tmp-karl/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:22066:25: error: ‘sipName_QString’ was not declared in this scope

^
/tmp/yaourt-tmp-karl/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:22074:25: error: ‘sipName_QString’ was not declared in this scope
sip_gilstate_t sipGILState;
^~~~~~~
/tmp/yaourt-tmp-karl/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp: In member function ‘virtual void sipQgsDateTimeEdit::fixup(QString&) const’:
/tmp/yaourt-tmp-karl/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:26183:25: error: ‘sipName_QString’ was not declared in this scope
if (!sipMeth)
^
/tmp/yaourt-tmp-karl/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:26191:25: error: ‘sipName_QString’ was not declared in this scope
int sipQgsDateTimeEdit::metric( ::QPaintDevice::PaintDeviceMetric a0) const
^~~~~~~~~~~~~~~
/tmp/yaourt-tmp-karl/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp: In member function ‘virtual QValidator::State sipQgsDateTimeEdit::validate(QString&, int&) const’:
/tmp/yaourt-tmp-karl/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:26212:25: error: ‘sipName_QString’ was not declared in this scope

^
/tmp/yaourt-tmp-karl/aur-qgis/src/qgis-2.18.3/build/python/gui/sip_guipart0.cpp:26219:25: error: ‘sipName_QString’ was not declared in this scope
}
^
make[2]: *** [python/CMakeFiles/python_module_qgis__gui.dir/build.make:647: python/CMakeFiles/python_module_qgis__gui.dir/gui/sip_guipart0.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:3965: python/CMakeFiles/python_module_qgis__gui.dir/all] Error 2
make: *** [Makefile:150: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build qgis.

ingleandrobarros commented on 2017-01-28 16:46

Thanks @karolinali and @tonisgo. the problem of compilation is qt5-base.

Scimmia commented on 2017-01-28 15:41

Not going to happen. You set your makeflags in makepkg.conf, I won't override them.

sikmir commented on 2017-01-28 15:38

Since it takes a long time to build QGIS, what about changing `make` to `make -j$(nproc)`?

tonisgo commented on 2017-01-26 15:53

Thanks karolinali

I do that:

-Downgrade, I choose option 3 or 4
yaourt -S downgrade
downgrade sip python-sip python2-sip pyqt4-common python2-pyqt4

-Remove QGIS
sudo pacman -R qgis

-Remove qt5 and dependencies (Warning: Save apps names for remove)
sudo pacman -Rscn qt5-base

-Install QGIS
sudo pacman -S qgis

-Install matplolib(that install qt5 again)
sudo pacman -S python2-matplotlib

Scimmia I check the kokkytos commend but didn't work